LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XGridPeer Interface Referencepublished

represents the window peer of a GridControl and allows you to set and retrieve the model data. More...

`import <XGridPeer.idl;`

Inheritance diagram for XGridPeer:

## Public Member Functions
com::sun::star::container::XIndexContainer | getColumns ()
| retrieves the currently used column definitions of the peer.
void | setColumns ([in] com::sun::star::container::XIndexContainer aColumns)
| sets the column definition for the peer.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

represents the window peer of a GridControl and allows you to set and retrieve the model data.

Usually, the columns used are the columns as supplied by the grid control model.

You should use this interface only if you know exactly what you are doing. Tampering with the columns of a grid control which is part of a complex form can really hurt...

Deprecated

See also
  com::sun::star::awt::XWindowPeer
  com::sun::star::form::component::GridControl

## Member Function Documentation

## ◆ getColumns()

com::sun::star::container::XIndexContainer getColumns | ( |  | ) |

retrieves the currently used column definitions of the peer.

## ◆ setColumns()

void setColumns | ( | [in] com::sun::star::container::XIndexContainer | aColumns | ) |

sets the column definition for the peer.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XGridPeer.idl